What do I need so I can use Dark Planet?

All topics on VST Sound Instrument Sets, VST Sound Loop Sets and Sequel Content Sets
Post Reply
Nightshade888
Junior Member
Posts: 54
Joined: Sun Apr 19, 2015 5:33 pm
Contact:

What do I need so I can use Dark Planet?

Post by Nightshade888 »

I am thinking of purchasing Dark Planet, but I have Cubase 5.1, which (I believe) does not support Dark Planet. I don't want to buy Halion Sonic, but I think I need VST3 to use Dark Planet. Dark Planet is NOT a standalone program, right? What can I do so I don't have to purchase Halion Sonic or upgrade to a newer version of Cubase?
Thanks in advance for any help or advice given.

User avatar
Prock
Grand Senior Member
Posts: 3970
Joined: Sat Jan 05, 2013 4:22 pm
Location: Connecticut, USA
Contact:

Re: What do I need so I can use Dark Planet?

Post by Prock »

PRock Studio

DAW: Cubase Pro 10.5.20, OS: Win 10 Pro x64, CPU: Intel Core i7 4700K @ 4.0GHz, RAM: 32GB/DDR4/2800MHz, Graphics: 4GB GeForce GTX 960, Mobo: MSI Z170A Gaming Pro Carbon, AI: PreSonus Studio 192 Mobile, Mic Preamp: PreSonus TubePre, Headphone Amp: PreSonus HP4, Studio Monitors: Mackie MR5, 3rd Party VSTs: GSi VB3-II, SampleTank 3, Amplitube 4, Miroslav Philharmonik 2, EZDrummer 2

https://soundcloud.com/prockstudio

Post Reply

Return to “VST Sound Instrument Sets and Content Sets”

Who is online

Users browsing this forum: No registered users and 2 guests